Dash0 acquires Polar Signals

Manage Signal To Metrics

Test a signal-to-metrics config

post/api/signal-to-metrics/test

Validates a signal-to-metrics definition and simulates its match filter against real signals in the selected dataset over a recent time window. Returns the number of matching signals on success. A 4xx error is returned when the definition fails validation or the request is otherwise invalid. Nothing is persisted.

Parameters 1

datasetquery
References Dataset

Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.

stringpattern "^[a-zA-Z0-9_-]{3,26}$"
bash
Sample requestcurl --request POST 'https://api.eu-west-1.aws.dash0.com/api/signal-to-metrics/test' \
  --header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "definition": {
    "kind": "Dash0SignalToMetrics",
    "metadata": {
      "name": "Example"
    },
    "spec": {
      "enabled": true,
      "display": {
        "name": "Example"
      },
      "match": {
        "signal": "spans",
        "filters": [
          {
            "key": "service.name",
            "operator": "is",
            "value": "shop"
          }
        ]
      },
      "output": {
        "name": "Example",
        "interval": "1m"
      }
    }
  }
}'

Request body required

SignalToMetricsDefinitionrequired

Time window over which to simulate the rule. Defaults to the last 15 minutes.

Responses

The test result.

FixedTimerequired

A fixed point in time represented as an RFC 3339 date-time string.

Format: YYYY-MM-DDTHH:MM:SSZ (UTC) or YYYY-MM-DDTHH:MM:SS±HH:MM (with timezone offset)

Examples:

  • 2024-01-15T14:30:00Z
  • 2024-01-15T14:30:00+08:00
TimeRangerequired

Concrete time window that was evaluated, with relative references resolved.

integerrequired

Number of signals (spans or logs) matching spec.match.filters over the evaluated time window.